> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Allocation Count

> A `GET` to the `/allocations/{benefitdefinition}/count` endpoint allows your application to retrieve allocation count.



## OpenAPI

````yaml get /v3/allocations/{benefitdefinition}/count
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/allocations/{benefitdefinition}/count:
    get:
      tags:
        - Allocation
      summary: Read Allocation Count
      description: >-
        A `GET` to the `/allocations/{benefitdefinition}/count` endpoint allows
        your application to retrieve allocation count.
      operationId: allocation.count
      parameters:
        - name: benefitdefinition
          in: path
          required: true
          description: The benefitdefinition ID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      all:
                        type: string
                      redeemed:
                        anyOf:
                          - type: integer
                          - type: integer
                            enum:
                              - 0
                      remaining:
                        anyOf:
                          - type: integer
                          - type: 'null'
                          - type: integer
                            enum:
                              - 0
                      group:
                        type: array
                        items:
                          type: string
                        minItems: 0
                        maxItems: 0
                        additionalItems: false
                    required:
                      - all
                      - redeemed
                      - remaining
                      - group
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````